Subject: Re: bug#50567: [core-updates-frozen] icedtea-6 fails to build.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 14 Sep 2021 10:44:18 +0200

Hi Guillaume,

Guillaume Le Vaillant <[email-masked]> skribis:

> I'm trying to get icedtea-6 to build on the core-updates-frozen branch.
> I fixed a few C/C++ related issues,

Thanks for fixing those!  After <https://issues.guix.gnu.org/49990#10>
Julien mentioned on IRC that using an older GCC allowed us to work
around those C++ issues, but your approach looks nicer to me.

> but then I get this error:
>
> Preload failed: checksum of class list was incorrect.
> make: *** [Makefile:2746: stamps/add-archive-ecj.stamp] Error 1

Woow, never seen that.  Julien, Ricardo, does that ring a bell?

Java is the main stumbling block on core-updates-frozen; making
progress!

Thanks,
Ludo’.